/ emx/ioctl2.s (emx+gcc) -- Copyright (c) 1992-1994 by Eberhard Mattes

#include "syscalls.h"

        .globl  ___ioctl2_old

/ int __ioctl2 (int handle, int request, void *arg)

        .align  2, 0x90

___ioctl2_old:
        pushl   %ebx
        movl    2*4(%esp), %ebx         /* handle */
        movl    3*4(%esp), %ecx         /* request */
        movl    4*4(%esp), %edx         /* arg */
        movb    $0x14, %al              /* ioctl2 */
        SYSCALL(0x7f)
        popl    %ebx
        RETERRNOECX
